Subject: Re: Build regressions/improvements in v6.12-rc3

From: Simon Horman <[email-masked]>
Date: Mon, 14 Oct 2024 09:58:19 +0100

On Mon, Oct 14, 2024 at 10:38:20AM +0200, Geert Uytterhoeven wrote:
> On Mon, 14 Oct 2024, Geert Uytterhoeven wrote:
> > JFYI, when comparing v6.12-rc3[1] to v6.12-rc2[3], the summaries are:
> >  - build errors: +3/-1
> 
>   + /kisskb/src/crypto/async_tx/async_tx.c: error: no previous prototype for '__async_tx_find_channel' [-Werror=missing-prototypes]:  => 43:1
> 
> powerpc-gcc{5,13}/ppc44x_allmodconfig
> 
>   + /kisskb/src/drivers/net/ethernet/freescale/fs_enet/mii-bitbang.c: error: format '%x' expects argument of type 'unsigned int', but argument 4 has type 'resource_size_t {aka long long unsigned int}' [-Werror=format=]:  => 126:37
>   + /kisskb/src/drivers/net/ethernet/freescale/fs_enet/mii-bitbang.c: error: format '%x' expects argument of type 'unsigned int', but argument 4 has type 'resource_size_t' {aka 'long long unsigned int'} [-Werror=format=]:  => 126:46

Hi Geert, all,

I wonder what the correct string format is in these cases?
I didn't have a good idea the last time I looked.

> 
> powerpc-gcc{5,13}/ppc85xx_allmodconfig
> 
> > [1] http://kisskb.ellerman.id.au/kisskb/branch/linus/head/8e929cb546ee42c9a61d24fae60605e9e3192354/ (all 194 configs)
> > [3] http://kisskb.ellerman.id.au/kisskb/branch/linus/head/8cf0b93919e13d1e8d4466eb4080a4c4d9d66d7b/ (131 out of 194 configs)

...